Remove support for JDK 1.7.
authorLee Rhodes <leerho@users.noreply.github.com>
Mon, 17 Jun 2019 19:51:11 +0000 (12:51 -0700)
committerLee Rhodes <leerho@users.noreply.github.com>
Mon, 17 Jun 2019 19:51:11 +0000 (12:51 -0700)
commitb806cda8cf9bdcc26ee09a868f3e61903baaa9a1
treec58257b12dc9b05352a300d6d4ef03a34313e5c2
parent11637255713be148573f6c89d3ef95e34dea0d90
Remove support for JDK 1.7.

Also, no implied support for JDK 9 and above.
src/main/java/org/apache/datasketches/memory/AllocateDirectWritableMap.java
src/main/java/org/apache/datasketches/memory/NioBits.java
src/main/java/org/apache/datasketches/memory/NonNativeWritableMemoryImpl.java
src/main/java/org/apache/datasketches/memory/UnsafeUtil.java
src/main/java/org/apache/datasketches/memory/WritableMemoryImpl.java
src/test/java/org/apache/datasketches/memory/UnsafeUtilTest.java